summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2019-04-08 23:43:06 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2019-04-09 02:04:53 -0500
commitc69982ce00cddd1608932b28aeabfab7586e745f (patch)
tree305ee684418a5b1a02beca32363ea76215d09838 /www-servers/gunicorn
parentdev-python/setproctitle: 1.1.10-r1 for py37 support (diff)
downloadgentoo-c69982ce00cddd1608932b28aeabfab7586e745f.tar.gz
gentoo-c69982ce00cddd1608932b28aeabfab7586e745f.tar.bz2
gentoo-c69982ce00cddd1608932b28aeabfab7586e745f.zip
www-servers/gunicorn: 19.9.0 bump
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
Diffstat (limited to 'www-servers/gunicorn')
-rw-r--r--www-servers/gunicorn/Manifest1
-rw-r--r--www-servers/gunicorn/gunicorn-19.9.0.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/www-servers/gunicorn/Manifest b/www-servers/gunicorn/Manifest
index 771b3c6ad43..f13291a6f5a 100644
--- a/www-servers/gunicorn/Manifest
+++ b/www-servers/gunicorn/Manifest
@@ -1 +1,2 @@
DIST gunicorn-19.8.1.tar.gz 415541 BLAKE2B f0eefc4ff24052320b4dfaac3fc2523487f8dbb63365a9a3c52bc411b4d8f6150f348c709cae94dc4acb45e7fda534cf462d0339abc0325230d3560f76ce3241 SHA512 7f7fcbcde20b70d3a2faad595e08a028530348895f784eddcb35f24b3d5a7955edfc5b68aac4630243798fa37d41b7e869ec0d454dc80700c2630ba2cc39afc0
+DIST gunicorn-19.9.0.tar.gz 415774 BLAKE2B 1ac920e3a02aff434d2458cbcacd821df428e2dceeb0ee5a10c8cc449e49c0252980847bfcee02633f791c05aa086b37f5b50f9fd535acee6deb8a18dd1c24f8 SHA512 4a89f963daa7afe7741a4fb9aa4f14192429ac0e9ba5672547d683475dd2f2733efeed903ec99db9d831e2b05b9ed9e583e3cfec483a1b481d897aa77373e8a3
diff --git a/www-servers/gunicorn/gunicorn-19.9.0.ebuild b/www-servers/gunicorn/gunicorn-19.9.0.ebuild
new file mode 100644
index 00000000000..a3356694ca2
--- /dev/null
+++ b/www-servers/gunicorn/gunicorn-19.9.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="A WSGI HTTP Server for UNIX"
+HOMEPAGE="https://gunicorn.org https://pypi.org/project/gunicorn https://github.com/benoitc/gunicorn"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT PSF-2 doc? ( BSD )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="doc test"
+
+RDEPEND="dev-python/setproctitle[${PYTHON_USEDEP}]"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-cov[${PYTHON_USEDEP}]
+ dev-python/unittest2[${PYTHON_USEDEP}]
+ )"
+
+DOCS="README.rst"
+
+python_prepare_all() {
+ sed -ie "s/..\/bin/\/usr\/bin\//" docs/Makefile || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ py.test -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/build/html/. )
+
+ distutils-r1_python_install_all
+}